=== debian/changelog ===
libkimageannotator (0.0.2-1mx17+1) mx; urgency=medium

  * Original packaging for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 28 Feb 2019 14:36:46 -0800

libkimageannotator (0.0.2-1) unstable; urgency=medium

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 28 Feb 2019 14:34:38 -0800
