## libkimageannotator 0.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(kImageAnnotator LANGUAGES CXX VERSION 0.0.2)
+project(kImageAnnotator LANGUAGES CXX VERSION 0.1.0)
 
 set(CMAKE_CXX_STANDARD 11)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -9,9 +9,14 @@
 set(CMAKE_AUTORCC ON)
 
 option(BUILD_TESTS "Build Unit Tests" OFF)
+option(BUILD_EXAMPLE "Build Example Application" ON)
 
 set(QT_MIN_VERSION "5.6.1")
 find_package(Qt5 ${QT_MIN_VERSION} REQUIRED Widgets Test)
+
+if (UNIX)
+	find_package(X11 REQUIRED)
+endif ()
 
 include(GNUInstallDirs)
 include(FeatureSummary)
@@ -23,7 +28,10 @@
 include_directories("${BASEPATH}")
 
 add_subdirectory(src)
-add_subdirectory(example)
+
+if (BUILD_EXAMPLE)
+	add_subdirectory(example)
+endif (BUILD_EXAMPLE)
 
 if (BUILD_TESTS)
 	enable_testing()
@@ -47,7 +55,11 @@
 						   $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
 						   )
 
-target_link_libraries(kImageAnnotator PUBLIC Qt5::Widgets kColorPicker)
+if (UNIX)
+	target_link_libraries(kImageAnnotator PUBLIC Qt5::Widgets kColorPicker X11)
+else ()
+	target_link_libraries(kImageAnnotator PUBLIC Qt5::Widgets kColorPicker)
+endif ()
 
 target_compile_definitions(kImageAnnotator PRIVATE KIMAGEANNOTATOR_LIB)
