=== debian/control ===
Source: libkimageannotator
Priority: optional
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
Build-Depends: cmake, 
 debhelper (>= 11), 
 libkcolorpicker-dev, 
 qtbase5-dev (>= 5.6) 
Standards-Version: 3.9.8
Section: libs
Homepage: https://github.com/DamirPorobic/kImageAnnotator/

Package: libkimageannotator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tool for annotating images 
 kImageAnnotator depends on kColorPicker which needs to 
 be installed before building kImageAnnotator.
 
Package: libkimageannotator-dev
Section: libdevel
Architecture: any
Depends: libkimageannotator (= ${binary:Version}), ${misc:Depends}
Description: Tool for annotating images library
 kImageAnnotator depends on kColorPicker which needs to 
 be installed before building kImageAnnotator.
