## libkimageannotator 0.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(kImageAnnotator LANGUAGES CXX VERSION 0.1.0)
+project(kImageAnnotator LANGUAGES CXX VERSION 0.2.0)
 
 set(CMAKE_CXX_STANDARD 11)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -21,7 +21,7 @@
 include(GNUInstallDirs)
 include(FeatureSummary)
 
-set(KCOLORPICKER_MIN_VERSION "0.0.1")
+set(KCOLORPICKER_MIN_VERSION "0.1.0")
 find_package(kColorPicker ${KCOLORPICKER_MIN_VERSION} REQUIRED)
 
 set(BASEPATH "${CMAKE_CURRENT_SOURCE_DIR}")
@@ -112,3 +112,13 @@
 		NAMESPACE kImageAnnotator::
 		DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/kImageAnnotator
 )
+
+# uninstall target
+if(NOT TARGET uninstall)
+    configure_file(
+        "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
+        "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
+        IMMEDIATE @ONLY)
+
+    add_custom_target(uninstall COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
+endif()
