=== debian/changelog ===
libkimageannotator (0.2.0-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 21 Feb 2020 16:17:29 -0800

libkimageannotator (0.1.0-1mx19+1) mx; urgency=medium

  * Repackaged for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 15 Jun 2019 07:53:53 -0700
