=== debian/changelog ===
libkimageannotator (0.2.1~prerelease-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 22 Feb 2020 07:01:04 -0800
