=== debian/changelog ===
libkimageannotator (0.2.1-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 01 Mar 2020 05:17:49 -0800
