=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
 Build-Depends: cmake, 
  debhelper (>= 11), 
- libkcolorpicker-dev (>= 0.01.1), 
+ libkcolorpicker-dev (>= 0.1.1), 
  qtbase5-dev (>= 5.6) 
 Standards-Version: 3.9.8
 Section: libs
