## libkimageannotator 0.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(kImageAnnotator LANGUAGES CXX VERSION 0.2.1)
+project(kImageAnnotator LANGUAGES CXX VERSION 0.3.1)
 
 set(CMAKE_CXX_STANDARD 11)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -11,29 +11,41 @@
 option(BUILD_TESTS "Build Unit Tests" OFF)
 option(BUILD_EXAMPLE "Build Example Application" ON)
 
-set(QT_MIN_VERSION "5.6.1")
-find_package(Qt5 ${QT_MIN_VERSION} REQUIRED Widgets Test)
+include(GNUInstallDirs)
+
+if (WIN32)
+	set(KIMAGEANNOTATOR_LANG_INSTALL_DIR "translations")
+elseif (APPLE)
+	set(KIMAGEANNOTATOR_LANG_INSTALL_DIR "../Resources")
+elseif (UNIX)
+	set(KIMAGEANNOTATOR_LANG_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}/kImageAnnotator/translations")
+	string(REGEX REPLACE "//" "/" KIMAGEANNOTATOR_LANG_INSTALL_DIR "${KIMAGEANNOTATOR_LANG_INSTALL_DIR}")
+endif ()
+
+set(QT_MIN_VERSION "5.9.4")
+find_package(Qt5 ${QT_MIN_VERSION} REQUIRED Widgets Svg)
 
 if (UNIX)
 	find_package(X11 REQUIRED)
 endif ()
 
-include(GNUInstallDirs)
 include(FeatureSummary)
 
-set(KCOLORPICKER_MIN_VERSION "0.1.1")
+set(KCOLORPICKER_MIN_VERSION "0.1.4")
 find_package(kColorPicker ${KCOLORPICKER_MIN_VERSION} REQUIRED)
 
 set(BASEPATH "${CMAKE_CURRENT_SOURCE_DIR}")
 include_directories("${BASEPATH}")
 
 add_subdirectory(src)
+add_subdirectory(translations)
 
 if (BUILD_EXAMPLE)
 	add_subdirectory(example)
 endif (BUILD_EXAMPLE)
 
 if (BUILD_TESTS)
+	find_package(Qt5 ${QT_MIN_VERSION} REQUIRED Test)
 	enable_testing()
 	add_subdirectory(tests)
 endif (BUILD_TESTS)
@@ -43,7 +55,7 @@
 add_library(kImageAnnotator
 			${KIMAGEANNOTATOR_SRCS}
 			${CMAKE_CURRENT_SOURCE_DIR}/include/kImageAnnotator/KImageAnnotator.h
-			${CMAKE_CURRENT_SOURCE_DIR}/icons/kImageAnnotator_icons.qrc
+			${CMAKE_CURRENT_SOURCE_DIR}/resources/kImageAnnotator_resources.qrc
 			)
 
 add_library(kImageAnnotator::kImageAnnotator ALIAS kImageAnnotator)
@@ -55,10 +67,10 @@
 						   $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
 						   )
 
+target_link_libraries(kImageAnnotator PUBLIC Qt5::Widgets Qt5::Svg PRIVATE kColorPicker::kColorPicker)
+
 if (UNIX)
-	target_link_libraries(kImageAnnotator PUBLIC Qt5::Widgets kColorPicker X11)
-else ()
-	target_link_libraries(kImageAnnotator PUBLIC Qt5::Widgets kColorPicker)
+	target_link_libraries(kImageAnnotator PRIVATE X11)
 endif ()
 
 target_compile_definitions(kImageAnnotator PRIVATE KIMAGEANNOTATOR_LIB)
