=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -27,25 +27,29 @@
 	common/helper/MathHelperTest.cpp
 	common/helper/ItemHelperTest.cpp
 	common/helper/ShapeHelperTest.cpp
+	common/helper/PathHelperTest.cpp
 	gui/cropper/CropSelectionRestrictorTest.cpp
 	gui/cropper/CropSelectionMoveHelperTest.cpp
 	gui/cropper/CropSelectionHandlerTest.cpp
 	gui/cropper/CropHandlesTest.cpp
 	gui/scaler/ScaleSizeHandlerTest.cpp
+	gui/annotator/tabs/AnnotationTabCloserTest.cpp
 	widgets/ToolPickerTest.cpp
 	widgets/ColorPickerTest.cpp
 	widgets/NumberPickerTest.cpp
 	widgets/FillTypePickerTest.cpp
 	widgets/CustomSpinBoxTest.cpp
+	widgets/StickerPickerTest.cpp
 	)
 
 set(TESTUTILS_SRC
 	mocks/MockSettingsProvider.cpp
+	mocks/MockDevicePixelRatioScaler.cpp
 	)
 
 add_library(KIMAGEANNOTATOR_STATIC STATIC ${KIMAGEANNOTATOR_SRCS})
 
-target_link_libraries(KIMAGEANNOTATOR_STATIC Qt5::Widgets kImageAnnotator)
+target_link_libraries(KIMAGEANNOTATOR_STATIC Qt5::Widgets Qt5::Svg kImageAnnotator)
 
 foreach (UnitTest ${UNITTEST_SRC})
 	get_filename_component(UnitTestName ${UnitTest} NAME_WE)
