=== debian/control ===
--- 
+++ 
@@ -2,16 +2,18 @@
 Priority: optional
 Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
 Build-Depends: cmake, 
- debhelper (>= 11), 
- libkcolorpicker-dev (>= 0.1.1), 
- qtbase5-dev (>= 5.6) 
+ debhelper (>= 12), 
+ libkcolorpicker-dev (>= 0.1.4),
+ qtbase5-dev, qttools5-dev-tools, qttools5-dev, 
+ libqt5svg5-dev, qtbase5-dev (>= 5.6)  
 Standards-Version: 3.9.8
 Section: libs
 Homepage: https://github.com/DamirPorobic/kImageAnnotator/
 
 Package: libkimageannotator
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, 
+	libkcolorpicker-dev (>= 0.1.4)
 Description: Tool for annotating images 
  kImageAnnotator depends on kColorPicker which needs to 
  be installed before building kImageAnnotator.
